[ooo-build-commit] 4 commits - bin/piece bin/unpack configure.in patches/apply.pl.in
Tor Lillqvist
tml at kemper.freedesktop.org
Sun Sep 27 17:55:59 PDT 2009
bin/piece/unpack-extras | 4 +--
bin/unpack | 56 +++++++++++++++++++++++++++++++++---------------
configure.in | 36 ++++++++++++++++++------------
patches/apply.pl.in | 3 +-
4 files changed, 65 insertions(+), 34 deletions(-)
New commits:
commit d89f31f9f37e4caeae512b4080dc752d38f14359
Author: Tor Lillqvist <tlillqvist at novell.com>
Date: Mon Sep 28 03:04:07 2009 +0300
Don't use the -a switch to cp pointlessly
* bin/piece/unpack-extras
* bin/unpack: Don't use the -a switch to cp pointlessly. I don't
really see what good it might do, and it causes troubles on Interix.
In case -a really *does* have some benefit, this change should ne
reverted then.
diff --git a/bin/piece/unpack-extras b/bin/piece/unpack-extras
index 9186c44..8baf33e 100755
--- a/bin/piece/unpack-extras
+++ b/bin/piece/unpack-extras
@@ -4,8 +4,8 @@ TOOLSDIR=$1
OOBUILDDIR=$2
echo "Copying default evolution database into tree"
-$GNUCP -af $TOOLSDIR/src/evolocal.odb $OOBUILDDIR/extras/source/database || exit 1;
+$GNUCP -f $TOOLSDIR/src/evolocal.odb $OOBUILDDIR/extras/source/database || exit 1;
echo "Copying custom user-dicts into tree"
[ -d $OOBUILDDIR/extras/source/wordbook ] || mkdir -p $OOBUILDDIR/extras/source/wordbook
-$GNUCP -af $TOOLSDIR/src/*.dic $OOBUILDDIR/extras/source/wordbook || exit 1;
+$GNUCP -f $TOOLSDIR/src/*.dic $OOBUILDDIR/extras/source/wordbook || exit 1;
diff --git a/bin/unpack b/bin/unpack
index dfd5ed6..736e0f4 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -184,9 +184,16 @@ if test "z$BUILD_WIN32" != "z"; then
fi
case "$DISTRO" in
+ NovellWin32*)
+ check_file $SRCDIR/$AGFA_MONOTYPE_FONTS_SOURCE
+ ;;
+ esac
+
+ case "$DISTRO" in
NovellWin32*|GoOoWin32*)
check_file $SRCDIR/writingaids-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
check_file $SRCDIR/writingaids-doc-$PREBUILT_WRITINGAIDS_TIMESTAMP.zip
+ check_file $SRCDIR/ooo-windows-icons-0.2.tar.bz2
;;
esac
@@ -346,7 +353,7 @@ JSR_API_JAR=jsr173_1.0_api.jar
if test "z$PIECE" = "z"; then
if test -f "$SRCDIR/$JSR_API_JAR"; then
mkdir -p $OOBUILDDIR/external/StAX
- $GNUCP -af $SRCDIR/$JSR_API_JAR $OOBUILDDIR/external/StAX
+ $GNUCP -f $SRCDIR/$JSR_API_JAR $OOBUILDDIR/external/StAX
fi
fi
@@ -498,18 +505,33 @@ if test "z$BUILD_WIN32" != "z"; then
$GNUCP -p $SRCDIR/Microsoft.VC80.CRT.manifest $OOBUILDDIR/external/msvcp80
fi
+ if test "z`uname -s`" = "zInterix"; then
+ if test "$PROCESSOR_ARCHITECTURE" = AMD64; then
+ CommonProgsX86="`env|grep '^COMMONPROGRAMFILES(X86)='|sed -e 's/.*=//'`"
+ else
+ CommonProgsX86="$COMMONPROGRAMFILES"
+ fi
+ case "$CommonProgsX86" in
+ ?:*)
+ CommonProgsX86=`winpath2unix "$CommonProgsX86"`
+ ;;
+ esac
+ else
+ CommonProgsX86="$COMMONPROGRAMFILES"
+ fi
+
if test -f $OOBUILDDIR/external/msm90/Microsoft_VC90_CRT_x86.msm -a \
- -f $OOBUILDDIR/external/msm90policy_9_0_Microsoft_VC90_CRT_x86.msm; then
+ -f $OOBUILDDIR/external/msm90/policy_9_0_Microsoft_VC90_CRT_x86.msm; then
echo "Already have Microsoft_VC90_CRT_x86.msm and policy_9_0_Microsoft_VC90_CRT_x86.msm"
- elif test -f "$COMMONPROGRAMFILES/Merge Modules/Microsoft_VC90_CRT_x86.msm" -a \
- -f "$COMMONPROGRAMFILES/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm"; then
+ elif test -f "$CommonProgsX86/Merge Modules/Microsoft_VC90_CRT_x86.msm" -a \
+ -f "$CommonProgsX86/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm"; then
echo "Copying Microsoft VC9.0 CRT Merge Modules"
- $GNUCP -p "$COMMONPROGRAMFILES/Merge Modules/Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
- $GNUCP -p "$COMMONPROGRAMFILES/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
+ $GNUCP -p "$CommonProgsX86/Merge Modules/Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
+ $GNUCP -p "$CommonProgsX86/Merge Modules/policy_9_0_Microsoft_VC90_CRT_x86.msm" $OOBUILDDIR/external/msm90
else
echo "Missing Microsoft VC9.0 CRT Merge Modules:"
echo "Microsoft_VC90_CRT_x86.msm and policy_9_0_Microsoft_VC90_CRT_x86.msm."
- echo "Did not find them in $COMMONPROGRAMFILES/Merge Modules"
+ echo "Did not find them in $CommonProgsX86/Merge Modules"
echo "Do you have a Visual Studio 2008 installation?"
exit 1
fi
@@ -577,7 +599,7 @@ else
if test -f $SRCDIR/$BUILD_MOZILLA_SOURCE; then
echo "Copying Mozilla package into the tree"
mkdir -p $OOBUILDDIR/moz/download || exit 1
- $GNUCP -a $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
+ $GNUCP $SRCDIR/$BUILD_MOZILLA_SOURCE $OOBUILDDIR/moz/download/ || exit 1
fi
cd $BUILDDIR;
@@ -777,14 +799,14 @@ if test "x$MDBTOOLS_SRC" != "x" -a "z$SYSTEM_MDBTOOLS" != "zYES"; then
echo "Copying mdbtools into the tree"
MDBDEST=$OOBUILDDIR/mdbtools/download
mkdir -p $MDBDEST || exit 1;
- $GNUCP -a $SRCDIR/$MDBTOOLS_SRC $MDBDEST || exit 1;
+ $GNUCP $SRCDIR/$MDBTOOLS_SRC $MDBDEST || exit 1;
fi
if test "x$GRAPHITE_SRC" != "x"; then
echo "Copying graphite into the tree"
GRAPHITE_DEST=$OOBUILDDIR/graphite/download
mkdir -p $GRAPHITE_DEST || exit 1;
- $GNUCP -a $SRCDIR/$GRAPHITE_SRC $GRAPHITE_DEST || exit 1;
+ $GNUCP $SRCDIR/$GRAPHITE_SRC $GRAPHITE_DEST || exit 1;
fi
$TOOLSDIR/bin/piece/unpack-extras $TOOLSDIR $OOBUILDDIR || exit 1;
@@ -797,28 +819,28 @@ if test "$CAIRO_ENABLED" = "TRUE" -a "$SYSTEM_CAIRO" != "TRUE"; then
mkdir -p $OOBUILDDIR/cairo
check_tarball $SRCDIR/cairo-${CAIRO_VER}.tar.gz
mkdir -p $OOBUILDDIR/cairo/download
- $GNUCP -a $SRCDIR/cairo-${CAIRO_VER}.tar.gz $OOBUILDDIR/cairo/download/
+ $GNUCP $SRCDIR/cairo-${CAIRO_VER}.tar.gz $OOBUILDDIR/cairo/download/
fi
if test "$SYSTEM_LIBWPD" != "YES"; then
check_tarball $SRCDIR/$LIBWPD_TARBALL
echo "Copying libwpd package into the tree"
mkdir -p $OOBUILDDIR/libwpd/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPD_TARBALL $OOBUILDDIR/libwpd/download/ || exit 1
+ $GNUCP $SRCDIR/$LIBWPD_TARBALL $OOBUILDDIR/libwpd/download/ || exit 1
fi
if test "$SYSTEM_LIBWPS" != "YES"; then
check_tarball $SRCDIR/$LIBWPS_TARBALL
echo "Copying libwps package into the tree"
mkdir -p $OOBUILDDIR/libwps/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPS_TARBALL $OOBUILDDIR/libwps/download/ || exit 1
+ $GNUCP $SRCDIR/$LIBWPS_TARBALL $OOBUILDDIR/libwps/download/ || exit 1
fi
if test "$SYSTEM_LIBWPG" != "YES"; then
check_tarball $SRCDIR/$LIBWPG_TARBALL
echo "Copying libwpg package into the tree"
mkdir -p $OOBUILDDIR/libwpg/download || exit 1
- $GNUCP -a $SRCDIR/$LIBWPG_TARBALL $OOBUILDDIR/libwpg/download/ || exit 1
+ $GNUCP $SRCDIR/$LIBWPG_TARBALL $OOBUILDDIR/libwpg/download/ || exit 1
fi
# OxygenOffice extras
@@ -833,21 +855,21 @@ for pack in $SUNTEMPLATES_LANG ; do
check_file $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt
echo "Copying Sun_ODF_Template_Pack_$pack.oxt"
mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
- $GNUCP -a $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt -d $OOBUILDDIR/extras/source/extensions || exit 1
+ $GNUCP $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt -d $OOBUILDDIR/extras/source/extensions || exit 1
done
if test "x$LIGHTPROOF_EXTENSION" != "x"; then
check_file $SRCDIR/$LIGHTPROOF_EXTENSION
echo "Copying LightProof extension into the tree"
mkdir -p $OOBUILDDIR/extras/source/extensions/ || exit 1
- $GNUCP -a $SRCDIR/$LIGHTPROOF_EXTENSION -d $OOBUILDDIR/extras/source/extensions || exit 1
+ $GNUCP $SRCDIR/$LIGHTPROOF_EXTENSION -d $OOBUILDDIR/extras/source/extensions || exit 1
fi
if test "x$OXYGEN_IMAGES_TAR" != "x"; then
check_tarball $SRCDIR/$OXYGEN_IMAGES_TAR
echo "Copying $OXYGEN_IMAGES_TAR into external_images"
mkdir -p $OOBUILDDIR/external_images || exit 1
- $GNUCP -a $SRCDIR/$OXYGEN_IMAGES_TAR $OOBUILDDIR/external_images/ooo_oxygen_images.tar.gz || exit 1
+ $GNUCP $SRCDIR/$OXYGEN_IMAGES_TAR $OOBUILDDIR/external_images/ooo_oxygen_images.tar.gz || exit 1
fi
fi # PIECES hack
commit a24bc719cc8ece9a0bdd183403d450d7991cd7b9
Author: Tor Lillqvist <tml at hemulen.(none)>
Date: Mon Sep 28 03:02:33 2009 +0300
Use flip -b -u instead of dos2unix on Interix
* patches/apply.pl.in: Use flip -b -u instead of dos2unix on Interix.
diff --git a/patches/apply.pl.in b/patches/apply.pl.in
index 7329b09..8a515f3 100755
--- a/patches/apply.pl.in
+++ b/patches/apply.pl.in
@@ -83,6 +83,7 @@ sub do_patch {
} else {
my $cmd_input = "< $patch";
$cmd_input = 'unix2dos ' . $cmd_input . ' |' if $^O =~ /cygwin/i;
+ $cmd_input = 'flip -b -u ' . $cmd_input . ' |' if $^O =~ /interix/i;
$cmd_base = "$cmd_input $patch_cmd $patch_args";
}
commit d4b7a2da5cbfa64d96b64afb7890c3bfda044c4c
Author: Tor Lillqvist <tml at iki.fi>
Date: Sat Sep 26 10:22:25 2009 +0300
Use @PERL@ in the #! line
* patches/apply.pl.in: Use @PERL at .
diff --git a/patches/apply.pl.in b/patches/apply.pl.in
index 6b2faf0..7329b09 100755
--- a/patches/apply.pl.in
+++ b/patches/apply.pl.in
@@ -1,4 +1,4 @@
-#!/usr/bin/perl -w
+#!@PERL@ -w
#
# Warning - this file is generated from apply.pl.in - do not edit apply.pl
commit cd30a7004eb63ff23c2233b86a70c44b03734723
Author: Tor Lillqvist <tml at iki.fi>
Date: Sat Sep 26 10:13:45 2009 +0300
Experimental work for building on Windows using Interix
* configure.in: Use $PWD instead of running the pwd command as there
is no /cygdrive in Interix but /dev/fs instead. (One just then needs
to create a directory /cygdrive and in it symlinks like /cygdrive/c
to /dev/fs/C.) Check for "uname -s" being Interix. Redirect
standard error from "uname -o" as Interix's uname has no -o
option. Say "Windows" instead of "Cygwin" in a message. Don't use
"which" to find wget, simply use AC_PATH_PROG instead.
diff --git a/configure.in b/configure.in
index 679de63..310f369 100644
--- a/configure.in
+++ b/configure.in
@@ -438,7 +438,7 @@ AM_MAINTAINER_MODE
dnl
dnl Setup the misc. tweaks we need.
dnl
-BASEDIR=`pwd`
+BASEDIR=$PWD
TOOLSDIR=$BASEDIR
# it will be modified by the --with-additional-sections but it might
@@ -470,7 +470,7 @@ PKG_CHECK_MODULES( FOO_COMMON,
# http://sources.redhat.com/ml/bug-automake/2002/msg02066.html
# it's a really bad idea to do conditional tests for things.
#
-if test "z`uname -s`" != "zSunOS" -a "z$with_win32" = "z" -a "z`uname -o`" = "zCygwin" ; then
+if test "z`uname -s`" != "zSunOS" -a "z$with_win32" = "z" -a \( "z`uname -o 2>/dev/null`" = "zCygwin" -o "z`uname -s`" = "zInterix" \) ; then
AC_MSG_WARN([Automatically using --with-win32 --enable-binfilter --with-dejavu-fonts --disable-build-mozilla --disable-nss-module])
with_win32="yes"
enable_binfilter="yes"
@@ -564,7 +564,7 @@ else
OOBUILDDIR=$with_ooo_builddir
fi
-if test "z`uname -s`" != "zSunOS" -a "z$with_win32" != "z" -a "z`uname -o`" = "zCygwin" ; then
+if test "z`uname -s`" != "zSunOS" -a "z$with_win32" != "z" -a "z`uname -o 2>/dev/null`" = "zCygwin" ; then
AC_MSG_CHECKING([that we use /cygdrive paths])
case "$OOBUILDDIR" in
/cygdrive/*)
@@ -575,6 +575,17 @@ if test "z`uname -s`" != "zSunOS" -a "z$with_win32" != "z" -a "z`uname -o`" = "z
AC_MSG_RESULT([yes])
fi
+if test "z`uname -s`" = "zInterix" ; then
+ AC_MSG_CHECKING([that we can use /cygdrive paths])
+ case "$OOBUILDDIR" in
+ /cygdrive/*)
+ ;;
+ *) AC_MSG_ERROR([You must set up symlinks in /cygdrive on Interix.])
+ ;;
+ esac
+ AC_MSG_RESULT([yes])
+fi
+
rm -f $BASEDIR/stamp/patch.apply
AC_SUBST(SRCDIR)
@@ -793,7 +804,7 @@ AC_MSG_RESULT($OOO_WIDGET_FLAGS)
AC_SUBST(OOO_WIDGET_FLAGS)
if test "z$BUILD_WIN32" = "zyes" -a "z$enable_cairo" = "z" ; then
- AC_MSG_WARN([On Cygwin, automatically using --disable-cairo])
+ AC_MSG_WARN([For Windows, automatically using --disable-cairo])
enable_cairo="no"
fi
if test "$enable_cairo" != "no"; then
@@ -1023,16 +1034,13 @@ fi
AC_MSG_RESULT([$GNUTAR])
AC_SUBST(GNUTAR)
-AC_MSG_CHECKING([for wget])
-WGET=wget
-if test -f "`which wget`"; then
- WGET="`which wget`"
- AC_MSG_RESULT([$WGET])
-elif test -f /usr/sfw/bin/wget; then
- WGET="/usr/sfw/bin/wget"
- AC_MSG_RESULT([$WGET])
-else
- AC_MSG_RESULT([$WGET])
+AC_PATH_PROG(WGET, wget)
+if test -z "$WGET"; then
+ if test -f /usr/sfw/bin/wget; then
+ WGET="/usr/sfw/bin/wget"
+ fi
+fi
+if test -z "$WGET"; then
AC_MSG_WARN([*** Configure could not reliably find wget on your system ! ***])
AC_MSG_WARN([*** Downloading of source packages might fail ! ***])
fi
More information about the ooo-build-commit
mailing list